Show / Hide Table of Contents

# Class GameNetwork

This class handles interacting with game network events.

##### Inheritance

System.Object
GameNetwork

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameNetwork : IDisposable

### Methods

| Improve this Doc View Source

#### Enable()

Enable this module.

##### Declaration

    public void Enable()

### Events

| Improve this Doc View Source

#### NetworkMessage

Event that is called when a network message is sent/received.

##### Declaration

    public event GameNetwork.OnNetworkMessageDelegate NetworkMessage

##### Event Type

Type | Description
--- | ---
GameNetwork.OnNetworkMessageDelegate |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

Dispose of managed and unmanaged resources.

##### Declaration

    void IDisposable.Dispose()

### Implements

System.IDisposable